Skip to content
Start here

Edit SSL Certificate Pack Validation Method

client.ssl.verification.edit(stringcertificatePackId, VerificationEditParams { zone_id, validation_method } params, RequestOptionsoptions?): VerificationEditResponse { status, validation_method }
PATCH/zones/{zone_id}/ssl/verification/{certificate_pack_id}

Edit SSL validation method for a certificate pack. A PATCH request will request an immediate validation check on any certificate, and return the updated status. If a validation method is provided, the validation will be immediately attempted using that method.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Mutual TLS Certificates WriteAccess: Mutual TLS Certificates ReadSSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
certificatePackId: string

Certificate Pack UUID.

params: VerificationEditParams { zone_id, validation_method }
zone_id: string

Path param: Identifier.

maxLength32
validation_method: "http" | "cname" | "txt" | "email"

Body param: Desired validation method.

One of the following:
"http"
"cname"
"txt"
"email"
ReturnsExpand Collapse
VerificationEditResponse { status, validation_method }
status?: string

Result status.

validation_method?: "http" | "cname" | "txt" | "email"

Desired validation method.

One of the following:
"http"
"cname"
"txt"
"email"

Edit SSL Certificate Pack Validation Method

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.ssl.verification.edit('a77f8bd7-3b47-46b4-a6f1-75cf98109948', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  validation_method: 'txt',
});

console.log(response.validation_method);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "status": "pending_validation",
    "validation_method": "txt"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "status": "pending_validation",
    "validation_method": "txt"
  }
}